flutter_built_bloc 0.3.3

  • README.md
  • Example
  • Installing
  • Versions
  • 67

flutter_built_bloc #

Helper widgets for adopting the BLoC pattern in combination with built_bloc

BlocProvider #

Create a BlocProvider and give him your Bloc.

class Example extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return BlocProvider(blocBuilder:(c) => ExampleBloc(), child: ExampleView());
  }
}

You can then access it with the BlocProvider.of method :

class ExampleView extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final bloc = BlocProvider.of<ExampleBloc>(context);
    // ...
  }
}

Note #

Under the hood, the provider package is used, so you have access to all its APIs.

How to use #

Install #

dependencies:
  flutter_built_bloc:

example/example.dart

import 'bloc.dart';
import 'package:flutter/material.dart';
import 'package:flutter_built_bloc/flutter_built_bloc.dart';

class Example extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return BlocProvider(
        blocBuilder: (c) => ExampleBloc(), child: ExampleView());
  }
}

class ExampleView extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final bloc = BlocProvider.of<ExampleBloc>(context);
    return SafeArea(
      top: false,
      child: Column(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: <Widget>[
            Expanded(
                child: Center(
                    child: StreamBuilder<int>(
                        stream: bloc.count,
                        builder: (c, s) =>
                            Text(s.hasData ? s.data.toString() : "empty")))),
            Row(
              children: <Widget>[
                Expanded(
                  child: RaisedButton(
                    child: Text("-1"),
                    onPressed: () => bloc.add.add(-1),
                  ),
                ),
                Expanded(
                  child: RaisedButton(
                    child: Text("+1"),
                    onPressed: () => bloc.add.add(1),
                  ),
                ),
              ],
            ),
            RaisedButton(
              child: Text("Reset"),
              onPressed: () => bloc.reset.add(null),
            ),
          ]),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_built_bloc: ^0.3.3

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_built_bloc/flutter_built_bloc.dart';
  
Version Uploaded Documentation Archive
0.3.3 Mar 21, 2019 Go to the documentation of flutter_built_bloc 0.3.3 Download flutter_built_bloc 0.3.3 archive
0.3.2 Mar 1, 2019 Go to the documentation of flutter_built_bloc 0.3.2 Download flutter_built_bloc 0.3.2 archive
0.3.1 Feb 22, 2019 Go to the documentation of flutter_built_bloc 0.3.1 Download flutter_built_bloc 0.3.1 archive
0.3.0 Feb 22, 2019 Go to the documentation of flutter_built_bloc 0.3.0 Download flutter_built_bloc 0.3.0 archive
0.2.13 Jan 31, 2019 Go to the documentation of flutter_built_bloc 0.2.13 Download flutter_built_bloc 0.2.13 archive
0.2.13-dev Jan 29, 2019 Go to the documentation of flutter_built_bloc 0.2.13-dev Download flutter_built_bloc 0.2.13-dev archive
0.2.12-dev Jan 28, 2019 Go to the documentation of flutter_built_bloc 0.2.12-dev Download flutter_built_bloc 0.2.12-dev archive
0.2.11-dev Jan 28, 2019 Go to the documentation of flutter_built_bloc 0.2.11-dev Download flutter_built_bloc 0.2.11-dev archive
Popularity:
Describes how popular the package is relative to other packages. [more]
51
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
60
Overall:
Weighted score of the above. [more]
67
Learn more about scoring.

We analyzed this package on Apr 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Format lib/flutter_built_bloc.dart.

Run flutter format to format lib/flutter_built_bloc.dart.

Maintenance issues and suggestions

Provide a file named CHANGELOG.md. (-20 points)

Changelog entries help developers follow the progress of your package. See the example generated by stagehand.

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev <3.0.0
built_bloc ^0.3.3 0.3.3
flutter 0.0.0
provider ^1.6.1 1.6.1 2.0.0-dev
Transitive dependencies
collection 1.14.11
flutter_hooks 0.3.0 0.3.1-dev
meta 1.1.6 1.1.7
rxdart 0.21.0
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test